This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Table
Name | ### trim()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("name");
      table.addColumn("type");

      TableRow newRow = table.addRow();
      newRow.setString("name", "   Lion");
      newRow.setString("type", "Mammal");

      newRow = table.addRow();
      newRow.setString("name", "Snake  ");
      newRow.setString("type", "Reptile");

      newRow = table.addRow();
      newRow.setString("name", "  Mosquito  ");
      newRow.setString("type", "Insect");

      println(table.getStringColumn("name"));

      table.trim();

      println(table.getStringColumn("name"));
    }

    // Sketch prints:
    // [0] "   Lion"
    // [1] "Snake  "
    // [2] "  Mosquito  "
    // [0] "Lion"
    // [1] "Snake"
    // [2] "Mosquito"
Description | Trims leading and trailing whitespace, such as spaces and tabs, from String table values. If no column is specified, then the values in all columns and rows are trimmed. A specific column may be referenced by either its ID or title.
Syntax |
    .trim()
    .trim(column)
    .trim(columnName)
Parameters |
column | int: ID number of the column to trim
columnName | String: title of the column to trim
Returns | void
Related | removeTokens()

Updated on October 26, 2013 08:58:34pm PDT